import { createStore } from 'vuex'

export default createStore({
  state: {
    userInfo:{},
    scanInfo: {}
  },
  getters: {
    getUserInfo: (state) => { return state.userInfo },
    getScanInfo: (state) => { return state.scanInfo }
  },
  mutations: {
    setUserInfo(state, data) {
      state.userInfo = data
    },
    setScanInfo(state, data) {
      state.scanInfo = data
    }
  },
  actions: {
  },
  modules: {
  }
})
